# coding: utf-8

"""
    Yahoo!広告 ディスプレイ広告 API リファレンス / Yahoo! Ads Display Ads API Reference

    <div lang=\"ja\">Yahoo!広告 ディスプレイ広告 APIのWebサービスについて説明します。<br> 「Try it out」のご利用には、事前にアプリケーションの登録が必要です。また、アプリケーションのリダイレクトURIの1つに<br> https://yahoojp-marketing.github.io/ads-display-api-documents/oauth2-redirect.htmlを登録してください。 </div> <div lang=\"en\">Display Ads API Web Services supported in Yahoo! Ads API.<br> When you use \"Try it out\", you need to register your application in advance.<br> As one of redirect URI for application, you need to set \"https://yahoojp-marketing.github.io/ads-display-api-documents/oauth2-redirect.html\". </div>   # noqa: E501

    The version of the OpenAPI document: v1
    Generated by: https://openapi-generator.tech
"""


import pprint
import re  # noqa: F401

import six

from yahoo_ads_display.configuration import Configuration


class AdGroupAdServiceBid(object):
    """NOTE: This class is auto generated by OpenAPI Generator.
    Ref: https://openapi-generator.tech

    Do not edit the class manually.
    """

    """
    Attributes:
      openapi_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    openapi_types = {
        'bidding_strategy_type': 'AdGroupAdServiceBiddingStrategyType',
        'manual_cpc_ad_group_ad_bid': 'AdGroupAdServiceManualCPCAdGroupAdBid',
        'manual_cpv_ad_group_ad_bid': 'AdGroupAdServiceManualCPVAdGroupAdBid'
    }

    attribute_map = {
        'bidding_strategy_type': 'biddingStrategyType',
        'manual_cpc_ad_group_ad_bid': 'manualCPCAdGroupAdBid',
        'manual_cpv_ad_group_ad_bid': 'manualCPVAdGroupAdBid'
    }

    def __init__(self, bidding_strategy_type=None, manual_cpc_ad_group_ad_bid=None, manual_cpv_ad_group_ad_bid=None, local_vars_configuration=None):  # noqa: E501
        """AdGroupAdServiceBid - a model defined in OpenAPI"""  # noqa: E501
        if local_vars_configuration is None:
            local_vars_configuration = Configuration()
        self.local_vars_configuration = local_vars_configuration

        self._bidding_strategy_type = None
        self._manual_cpc_ad_group_ad_bid = None
        self._manual_cpv_ad_group_ad_bid = None
        self.discriminator = None

        self.bidding_strategy_type = bidding_strategy_type
        self.manual_cpc_ad_group_ad_bid = manual_cpc_ad_group_ad_bid
        self.manual_cpv_ad_group_ad_bid = manual_cpv_ad_group_ad_bid

    @property
    def bidding_strategy_type(self):
        """Gets the bidding_strategy_type of this AdGroupAdServiceBid.  # noqa: E501


        :return: The bidding_strategy_type of this AdGroupAdServiceBid.  # noqa: E501
        :rtype: AdGroupAdServiceBiddingStrategyType
        """
        return self._bidding_strategy_type

    @bidding_strategy_type.setter
    def bidding_strategy_type(self, bidding_strategy_type):
        """Sets the bidding_strategy_type of this AdGroupAdServiceBid.


        :param bidding_strategy_type: The bidding_strategy_type of this AdGroupAdServiceBid.  # noqa: E501
        :type: AdGroupAdServiceBiddingStrategyType
        """

        self._bidding_strategy_type = bidding_strategy_type

    @property
    def manual_cpc_ad_group_ad_bid(self):
        """Gets the manual_cpc_ad_group_ad_bid of this AdGroupAdServiceBid.  # noqa: E501


        :return: The manual_cpc_ad_group_ad_bid of this AdGroupAdServiceBid.  # noqa: E501
        :rtype: AdGroupAdServiceManualCPCAdGroupAdBid
        """
        return self._manual_cpc_ad_group_ad_bid

    @manual_cpc_ad_group_ad_bid.setter
    def manual_cpc_ad_group_ad_bid(self, manual_cpc_ad_group_ad_bid):
        """Sets the manual_cpc_ad_group_ad_bid of this AdGroupAdServiceBid.


        :param manual_cpc_ad_group_ad_bid: The manual_cpc_ad_group_ad_bid of this AdGroupAdServiceBid.  # noqa: E501
        :type: AdGroupAdServiceManualCPCAdGroupAdBid
        """

        self._manual_cpc_ad_group_ad_bid = manual_cpc_ad_group_ad_bid

    @property
    def manual_cpv_ad_group_ad_bid(self):
        """Gets the manual_cpv_ad_group_ad_bid of this AdGroupAdServiceBid.  # noqa: E501


        :return: The manual_cpv_ad_group_ad_bid of this AdGroupAdServiceBid.  # noqa: E501
        :rtype: AdGroupAdServiceManualCPVAdGroupAdBid
        """
        return self._manual_cpv_ad_group_ad_bid

    @manual_cpv_ad_group_ad_bid.setter
    def manual_cpv_ad_group_ad_bid(self, manual_cpv_ad_group_ad_bid):
        """Sets the manual_cpv_ad_group_ad_bid of this AdGroupAdServiceBid.


        :param manual_cpv_ad_group_ad_bid: The manual_cpv_ad_group_ad_bid of this AdGroupAdServiceBid.  # noqa: E501
        :type: AdGroupAdServiceManualCPVAdGroupAdBid
        """

        self._manual_cpv_ad_group_ad_bid = manual_cpv_ad_group_ad_bid

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.openapi_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, AdGroupAdServiceBid):
            return False

        return self.to_dict() == other.to_dict()

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        if not isinstance(other, AdGroupAdServiceBid):
            return True

        return self.to_dict() != other.to_dict()
