# coding: utf-8

"""
    Yahoo!広告 ディスプレイ広告 API リファレンス / Yahoo! Ads Display Ads API Reference

    <div lang=\"ja\">Yahoo!広告 ディスプレイ広告 APIのWebサービスについて説明します。<br> 「Try it out」のご利用には、事前にアプリケーションの登録が必要です。また、アプリケーションのリダイレクトURIの1つに<br> https://yahoojp-marketing.github.io/ads-display-api-documents/oauth2-redirect.htmlを登録してください。 </div> <div lang=\"en\">Display Ads API Web Services supported in Yahoo! Ads API.<br> When you use \"Try it out\", you need to register your application in advance.<br> As one of redirect URI for application, you need to set \"https://yahoojp-marketing.github.io/ads-display-api-documents/oauth2-redirect.html\". </div>   # noqa: E501

    The version of the OpenAPI document: v1
    Generated by: https://openapi-generator.tech
"""


import pprint
import re  # noqa: F401

import six

from yahoo_ads_display.configuration import Configuration


class CampaignServiceBudget(object):
    """NOTE: This class is auto generated by OpenAPI Generator.
    Ref: https://openapi-generator.tech

    Do not edit the class manually.
    """

    """
    Attributes:
      openapi_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    openapi_types = {
        'amount': 'int',
        'budget_delivery_method': 'CampaignServiceBudgetDeliveryMethod'
    }

    attribute_map = {
        'amount': 'amount',
        'budget_delivery_method': 'budgetDeliveryMethod'
    }

    def __init__(self, amount=None, budget_delivery_method=None, local_vars_configuration=None):  # noqa: E501
        """CampaignServiceBudget - a model defined in OpenAPI"""  # noqa: E501
        if local_vars_configuration is None:
            local_vars_configuration = Configuration()
        self.local_vars_configuration = local_vars_configuration

        self._amount = None
        self._budget_delivery_method = None
        self.discriminator = None

        self.amount = amount
        self.budget_delivery_method = budget_delivery_method

    @property
    def amount(self):
        """Gets the amount of this CampaignServiceBudget.  # noqa: E501

        <div lang=\"ja\"> キャンペーンの一日あたりの予算（一日単位の利用金額）です。<br> このフィールドは、ADDおよびSET時に省略可能となり、REMOVE時は無視されます。<br> budgetDeliveryMethodがSTANDARDの場合はADDおよびSET時に必須です。<br> ※目的ありの場合、ADD時に必須となります。 </div> <div lang=\"en\"> The daily budget. <br> This field is optional in ADD and SET operation, and will be ignored in REMOVE operation. <br> This field is required in ADD and SET operation if budgetDeliveryMethod is STANDARD.<br> *For campaigns with campaign goal, this field is required in ADD operation. </div>   # noqa: E501

        :return: The amount of this CampaignServiceBudget.  # noqa: E501
        :rtype: int
        """
        return self._amount

    @amount.setter
    def amount(self, amount):
        """Sets the amount of this CampaignServiceBudget.

        <div lang=\"ja\"> キャンペーンの一日あたりの予算（一日単位の利用金額）です。<br> このフィールドは、ADDおよびSET時に省略可能となり、REMOVE時は無視されます。<br> budgetDeliveryMethodがSTANDARDの場合はADDおよびSET時に必須です。<br> ※目的ありの場合、ADD時に必須となります。 </div> <div lang=\"en\"> The daily budget. <br> This field is optional in ADD and SET operation, and will be ignored in REMOVE operation. <br> This field is required in ADD and SET operation if budgetDeliveryMethod is STANDARD.<br> *For campaigns with campaign goal, this field is required in ADD operation. </div>   # noqa: E501

        :param amount: The amount of this CampaignServiceBudget.  # noqa: E501
        :type: int
        """

        self._amount = amount

    @property
    def budget_delivery_method(self):
        """Gets the budget_delivery_method of this CampaignServiceBudget.  # noqa: E501


        :return: The budget_delivery_method of this CampaignServiceBudget.  # noqa: E501
        :rtype: CampaignServiceBudgetDeliveryMethod
        """
        return self._budget_delivery_method

    @budget_delivery_method.setter
    def budget_delivery_method(self, budget_delivery_method):
        """Sets the budget_delivery_method of this CampaignServiceBudget.


        :param budget_delivery_method: The budget_delivery_method of this CampaignServiceBudget.  # noqa: E501
        :type: CampaignServiceBudgetDeliveryMethod
        """

        self._budget_delivery_method = budget_delivery_method

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.openapi_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, CampaignServiceBudget):
            return False

        return self.to_dict() == other.to_dict()

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        if not isinstance(other, CampaignServiceBudget):
            return True

        return self.to_dict() != other.to_dict()
