# coding: utf-8

"""
    Yahoo!広告 ディスプレイ広告 API リファレンス / Yahoo! Ads Display Ads API Reference

    <div lang=\"ja\">Yahoo!広告 ディスプレイ広告 APIのWebサービスについて説明します。<br> 「Try it out」のご利用には、事前にアプリケーションの登録が必要です。また、アプリケーションのリダイレクトURIの1つに<br> https://yahoojp-marketing.github.io/ads-display-api-documents/oauth2-redirect.htmlを登録してください。 </div> <div lang=\"en\">Display Ads API Web Services supported in Yahoo! Ads API.<br> When you use \"Try it out\", you need to register your application in advance.<br> As one of redirect URI for application, you need to set \"https://yahoojp-marketing.github.io/ads-display-api-documents/oauth2-redirect.html\". </div>   # noqa: E501

    The version of the OpenAPI document: v1
    Generated by: https://openapi-generator.tech
"""


import pprint
import re  # noqa: F401

import six

from yahoo_ads_display.configuration import Configuration


class SearchKeywordList(object):
    """NOTE: This class is auto generated by OpenAPI Generator.
    Ref: https://openapi-generator.tech

    Do not edit the class manually.
    """

    """
    Attributes:
      openapi_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    openapi_types = {
        'account_id': 'int',
        'delivery_status': 'SearchKeywordListServiceDeliveryStatus',
        'keyword_frequency': 'SearchKeywordListServiceKeywordFrequency',
        'keyword_recency': 'SearchKeywordListServiceKeywordRecency',
        'search_keyword': 'list[SearchKeywordListServiceSearchKeyword]',
        'search_keyword_list_description': 'str',
        'search_keyword_list_id': 'int',
        'search_keyword_list_name': 'str'
    }

    attribute_map = {
        'account_id': 'accountId',
        'delivery_status': 'deliveryStatus',
        'keyword_frequency': 'keywordFrequency',
        'keyword_recency': 'keywordRecency',
        'search_keyword': 'searchKeyword',
        'search_keyword_list_description': 'searchKeywordListDescription',
        'search_keyword_list_id': 'searchKeywordListId',
        'search_keyword_list_name': 'searchKeywordListName'
    }

    def __init__(self, account_id=None, delivery_status=None, keyword_frequency=None, keyword_recency=None, search_keyword=None, search_keyword_list_description=None, search_keyword_list_id=None, search_keyword_list_name=None, local_vars_configuration=None):  # noqa: E501
        """SearchKeywordList - a model defined in OpenAPI"""  # noqa: E501
        if local_vars_configuration is None:
            local_vars_configuration = Configuration()
        self.local_vars_configuration = local_vars_configuration

        self._account_id = None
        self._delivery_status = None
        self._keyword_frequency = None
        self._keyword_recency = None
        self._search_keyword = None
        self._search_keyword_list_description = None
        self._search_keyword_list_id = None
        self._search_keyword_list_name = None
        self.discriminator = None

        self.account_id = account_id
        self.delivery_status = delivery_status
        self.keyword_frequency = keyword_frequency
        self.keyword_recency = keyword_recency
        self.search_keyword = search_keyword
        self.search_keyword_list_description = search_keyword_list_description
        self.search_keyword_list_id = search_keyword_list_id
        self.search_keyword_list_name = search_keyword_list_name

    @property
    def account_id(self):
        """Gets the account_id of this SearchKeywordList.  # noqa: E501

        <div lang=\"ja\"> アカウントIDです。<br> このフィールドは、リクエストの場合は必須です。 </div> <div lang=\"en\"> Account ID.<br> This field is required in requests. </div>   # noqa: E501

        :return: The account_id of this SearchKeywordList.  # noqa: E501
        :rtype: int
        """
        return self._account_id

    @account_id.setter
    def account_id(self, account_id):
        """Sets the account_id of this SearchKeywordList.

        <div lang=\"ja\"> アカウントIDです。<br> このフィールドは、リクエストの場合は必須です。 </div> <div lang=\"en\"> Account ID.<br> This field is required in requests. </div>   # noqa: E501

        :param account_id: The account_id of this SearchKeywordList.  # noqa: E501
        :type: int
        """

        self._account_id = account_id

    @property
    def delivery_status(self):
        """Gets the delivery_status of this SearchKeywordList.  # noqa: E501


        :return: The delivery_status of this SearchKeywordList.  # noqa: E501
        :rtype: SearchKeywordListServiceDeliveryStatus
        """
        return self._delivery_status

    @delivery_status.setter
    def delivery_status(self, delivery_status):
        """Sets the delivery_status of this SearchKeywordList.


        :param delivery_status: The delivery_status of this SearchKeywordList.  # noqa: E501
        :type: SearchKeywordListServiceDeliveryStatus
        """

        self._delivery_status = delivery_status

    @property
    def keyword_frequency(self):
        """Gets the keyword_frequency of this SearchKeywordList.  # noqa: E501


        :return: The keyword_frequency of this SearchKeywordList.  # noqa: E501
        :rtype: SearchKeywordListServiceKeywordFrequency
        """
        return self._keyword_frequency

    @keyword_frequency.setter
    def keyword_frequency(self, keyword_frequency):
        """Sets the keyword_frequency of this SearchKeywordList.


        :param keyword_frequency: The keyword_frequency of this SearchKeywordList.  # noqa: E501
        :type: SearchKeywordListServiceKeywordFrequency
        """

        self._keyword_frequency = keyword_frequency

    @property
    def keyword_recency(self):
        """Gets the keyword_recency of this SearchKeywordList.  # noqa: E501


        :return: The keyword_recency of this SearchKeywordList.  # noqa: E501
        :rtype: SearchKeywordListServiceKeywordRecency
        """
        return self._keyword_recency

    @keyword_recency.setter
    def keyword_recency(self, keyword_recency):
        """Sets the keyword_recency of this SearchKeywordList.


        :param keyword_recency: The keyword_recency of this SearchKeywordList.  # noqa: E501
        :type: SearchKeywordListServiceKeywordRecency
        """

        self._keyword_recency = keyword_recency

    @property
    def search_keyword(self):
        """Gets the search_keyword of this SearchKeywordList.  # noqa: E501


        :return: The search_keyword of this SearchKeywordList.  # noqa: E501
        :rtype: list[SearchKeywordListServiceSearchKeyword]
        """
        return self._search_keyword

    @search_keyword.setter
    def search_keyword(self, search_keyword):
        """Sets the search_keyword of this SearchKeywordList.


        :param search_keyword: The search_keyword of this SearchKeywordList.  # noqa: E501
        :type: list[SearchKeywordListServiceSearchKeyword]
        """

        self._search_keyword = search_keyword

    @property
    def search_keyword_list_description(self):
        """Gets the search_keyword_list_description of this SearchKeywordList.  # noqa: E501

        <div lang=\"ja\"> サーチキーワードリストの説明文です。<br> このフィールドは、ADDおよびSET時に省略可能となります。 </div> <div lang=\"en\"> Description of Search keyword list.<br> This field is optional in ADD and SET operation. </div>   # noqa: E501

        :return: The search_keyword_list_description of this SearchKeywordList.  # noqa: E501
        :rtype: str
        """
        return self._search_keyword_list_description

    @search_keyword_list_description.setter
    def search_keyword_list_description(self, search_keyword_list_description):
        """Sets the search_keyword_list_description of this SearchKeywordList.

        <div lang=\"ja\"> サーチキーワードリストの説明文です。<br> このフィールドは、ADDおよびSET時に省略可能となります。 </div> <div lang=\"en\"> Description of Search keyword list.<br> This field is optional in ADD and SET operation. </div>   # noqa: E501

        :param search_keyword_list_description: The search_keyword_list_description of this SearchKeywordList.  # noqa: E501
        :type: str
        """

        self._search_keyword_list_description = search_keyword_list_description

    @property
    def search_keyword_list_id(self):
        """Gets the search_keyword_list_id of this SearchKeywordList.  # noqa: E501

        <div lang=\"ja\"> サーチキーワードリストIDです。<br> このフィールドは、SETおよびREMOVE時に必須となります。 </div> <div lang=\"en\"> Search keyword list ID.<br> This field is required in SET and REMOVE operation. </div>   # noqa: E501

        :return: The search_keyword_list_id of this SearchKeywordList.  # noqa: E501
        :rtype: int
        """
        return self._search_keyword_list_id

    @search_keyword_list_id.setter
    def search_keyword_list_id(self, search_keyword_list_id):
        """Sets the search_keyword_list_id of this SearchKeywordList.

        <div lang=\"ja\"> サーチキーワードリストIDです。<br> このフィールドは、SETおよびREMOVE時に必須となります。 </div> <div lang=\"en\"> Search keyword list ID.<br> This field is required in SET and REMOVE operation. </div>   # noqa: E501

        :param search_keyword_list_id: The search_keyword_list_id of this SearchKeywordList.  # noqa: E501
        :type: int
        """

        self._search_keyword_list_id = search_keyword_list_id

    @property
    def search_keyword_list_name(self):
        """Gets the search_keyword_list_name of this SearchKeywordList.  # noqa: E501

        <div lang=\"ja\"> サーチキーワードリスト名です。<br> このフィールドは、ADD時に必須となり、SET時に省略可能となります。 </div> <div lang=\"en\"> Name of Search keyword list.<br> This field is required in ADD operation, and is optional in SET operation. </div>   # noqa: E501

        :return: The search_keyword_list_name of this SearchKeywordList.  # noqa: E501
        :rtype: str
        """
        return self._search_keyword_list_name

    @search_keyword_list_name.setter
    def search_keyword_list_name(self, search_keyword_list_name):
        """Sets the search_keyword_list_name of this SearchKeywordList.

        <div lang=\"ja\"> サーチキーワードリスト名です。<br> このフィールドは、ADD時に必須となり、SET時に省略可能となります。 </div> <div lang=\"en\"> Name of Search keyword list.<br> This field is required in ADD operation, and is optional in SET operation. </div>   # noqa: E501

        :param search_keyword_list_name: The search_keyword_list_name of this SearchKeywordList.  # noqa: E501
        :type: str
        """

        self._search_keyword_list_name = search_keyword_list_name

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.openapi_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, SearchKeywordList):
            return False

        return self.to_dict() == other.to_dict()

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        if not isinstance(other, SearchKeywordList):
            return True

        return self.to_dict() != other.to_dict()
